package samples.login.business
{
	import mx.rpc.IResponder;
	import mx.rpc.events.FaultEvent;
	import mx.rpc.events.ResultEvent;
	import mx.rpc.AbstractOperation;
	import com.adobe.cairngorm.business.ServiceLocator;

	public class LoginDelegate
	{
		/**
		 * コンストラクタにてサービスを登録します。
		 */
		public function LoginDelegate( responder : IResponder )
		{		
			this.service = ServiceLocator.getInstance().getHTTPService( "login" );
			// getWebService, getRemoteObject, getConsumer, getProducer, getDataService
			this.responder = responder;
		}
		
		/**
		 * 登録されているServiceを使って外部サービスを呼び出します。
		 */
		public function login(username:String, password:String) : void
		{	
			var params:Object = new Object();
			params["username"] = username;
			params["password"] = password;
			var call : Object = service.send(params);
			call.addResponder( responder );
		}
	
		private var responder : IResponder;
		private var service : Object;
	}

}