package samples.login.model
{
   
   import com.adobe.cairngorm.model.ModelLocator;
   import samples.login.vo.UserVO;
   /**
   * 監視されるモデルを宣言します。
   */
   [Bindable]
   public class LoginModelLocator implements ModelLocator
   {
      private static var modelLocator : LoginModelLocator;
      
      public static function getInstance() : LoginModelLocator 
      {
      	if ( modelLocator == null )
      	{
      		modelLocator = new LoginModelLocator();
      	}
      	return modelLocator;
      }
      
      public function LoginModelLocator() 
      {	
         if ( modelLocator != null )
         {
         	throw new Error( "LoginModelLocatorインスタンスはひとつだけ" );	
         }
      }
      
      public var workflowState : Number = LOGIN_TOP;
      public var statusMessage :String = "";
      public static var LOGIN_TOP : Number = 0;
      public static var LOGIN_OK : Number = 1;
      public static var LOGIN_NG : Number = 2;
      public var user:UserVO = null;
   }
}
